Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Collocation_Resolver Class Reference

This class helps in resolving if a CORBA:Object is collocated. More...

`#include <Collocation_Resolver.h>`

Inheritance diagram for TAO_Collocation_Resolver:

[legend]
Collaboration diagram for TAO_Collocation_Resolver:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Collocation_Resolver (void)
| Destructor.
virtual CORBA::Boolean | is_collocated (CORBA::Object_ptr object ACE_ENV_ARG_DECL) const=0
| Is object collocated?

## Detailed Description

This class helps in resolving if a CORBA:Object is collocated.

## Constructor & Destructor Documentation

TAO_Collocation_Resolver::~TAO_Collocation_Resolver | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual CORBA::Boolean TAO_Collocation_Resolver::is_collocated | ( | CORBA::Object_ptr object | ACE_ENV_ARG_DECL | ) | const`[pure virtual]`

| Is object collocated? Implemented in TAO_Default_Collocation_Resolver.

The documentation for this class was generated from the following files:

- Collocation_Resolver.h
- Collocation_Resolver.cpp